SystemOrganization addCategory: #ConfigurationOfOrderPreservingDictionary!

Object subclass: #ConfigurationOfOrderPreservingDictionary
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfOrderPreservingDictionary'!

!ConfigurationOfOrderPreservingDictionary commentStamp: 'monty 1/21/2017 15:03' prior: 0!
(ConfigurationOfOrderPreservingDictionary project version: #stable) load

(ConfigurationOfOrderPreservingDictionary project version: #stable) load: #('Tests')!

!ConfigurationOfOrderPreservingDictionary class methodsFor: 'development support' stamp: 'monty 1/21/2017 15:01'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>! !

!ConfigurationOfOrderPreservingDictionary class methodsFor: 'private' stamp: 'monty 1/21/2017 15:01'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #'ConfigurationOf'
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #'ConfigurationOf' ifAbsent: aBlock ].! !

!ConfigurationOfOrderPreservingDictionary class methodsFor: 'catalog' stamp: 'monty 1/21/2017 15:01'!
catalogDescription

^ 'This package has two ordered dictionary classes that behave like OrderedDictionary and OrderedIdentityDictionary in Pharo but are portable to Squeak and Gemstone, and other ordered dictionary classes needed by XMLParser.'! !

!ConfigurationOfOrderPreservingDictionary class methodsFor: 'catalog' stamp: 'monty 1/21/2017 15:01'!
catalogKeywords
	^ #( collection dictionary ordered #'order-preserving' )! !

!ConfigurationOfOrderPreservingDictionary class methodsFor: 'catalog' stamp: 'monty 1/21/2017 15:01'!
catalogLicense
	^ 'The MIT License (MIT)

Copyright (c) 2016 PharoExtras Team.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.'! !

!ConfigurationOfOrderPreservingDictionary class methodsFor: 'private' stamp: 'monty 1/21/2017 15:01'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfOrderPreservingDictionary class methodsFor: 'private' stamp: 'monty 1/21/2017 15:01'!
ensureMetacelloBaseConfiguration
  Smalltalk
    at: #'ConfigurationOf'
    ifAbsent: [ 
      | repository version |
      repository := MCHttpRepository
        location: 'http://smalltalkhub.com/mc/dkh/metacello/main'
        user: ''
        password: ''.
      repository
        versionReaderForFileNamed: 'Metacello-Base-dkh.107'
        do: [ :reader | 
          version := reader version.
          version load.
          version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfOrderPreservingDictionary class methodsFor: 'metacello tool support' stamp: 'monty 1/21/2017 15:01'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfOrderPreservingDictionary class methodsFor: 'loading' stamp: 'monty 1/21/2017 15:01'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfOrderPreservingDictionary class methodsFor: 'loading' stamp: 'monty 1/21/2017 15:01'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfOrderPreservingDictionary class methodsFor: 'loading' stamp: 'monty 1/21/2017 15:02'!
loadDefault
	"self loadDefault"

	^ self loadMostRecentCoreWithTests! !

!ConfigurationOfOrderPreservingDictionary class methodsFor: 'loading' stamp: 'monty 1/21/2017 15:01'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfOrderPreservingDictionary class methodsFor: 'loading' stamp: 'monty 1/21/2017 15:02'!
loadMostRecentCoreWithTests
	^self project lastVersion load: #('Core' 'Tests')! !

!ConfigurationOfOrderPreservingDictionary class methodsFor: 'accessing' stamp: 'monty 1/21/2017 15:01'!
project

	^self new project! !

!ConfigurationOfOrderPreservingDictionary class methodsFor: 'development support' stamp: 'monty 1/21/2017 15:01'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'baselines' stamp: 'monty 1/22/2017 10:27'!
baseline100: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://smalltalkhub.com/mc/PharoExtras/OrderPreservingDictionary/main'.	
		spec description: 'Imported from SqueakSource'.
		spec package: 'Collections-OrderPreservingDictionary'.
		spec 
			package: 'Collections-Tests-OrderPreservingDictionary' 
			with: [spec requires: 'Collections-OrderPreservingDictionary'].
			
		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('Collections-OrderPreservingDictionary');
			group: 'Tests' with: #('Collections-Tests-OrderPreservingDictionary'). ].
		
	"loads gemstone compatibility methods"
	spec
		for: #gemstone
		do: [
			spec
				package: 'Collections-OrderPreservingDictionary'
				with: [ spec includes: 'Collections-OrderPreservingDictionary-GemstoneCompatibility' ].
			spec
				package: 'Collections-OrderPreservingDictionary-GemstoneCompatibility'
				with: [ spec requires: 'Collections-OrderPreservingDictionary' ] ].

	"load GT extensions"
	spec
		for: #gt
		do: [
			spec
				package: 'Collections-OrderPreservingDictionary'
				with: [ spec includes: 'Collections-OrderPreservingDictionary-GTExtensions' ].
			spec
				package: 'Collections-OrderPreservingDictionary-GTExtensions'
				with: [ spec requires: 'Collections-OrderPreservingDictionary' ] ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'baselines' stamp: 'monty 1/22/2017 10:08'!
baseline131: spec
	<version: '1.3.1-baseline' imports: #('1.0-baseline')>
	spec
		for: #gemstone
		do: [
			spec blessing: #baseline.
			spec
				package: 'Collections-OrderPreservingDictionary-GemstoneCompatibility'
				with: 'Collections-OrderPreservingDictionary-GemstoneCompatibility-monty.1' ].
	spec
		for: #gt
		do: [
			spec
				package: 'Collections-OrderPreservingDictionary-GTExtensions'
				with: 'Collections-OrderPreservingDictionary-GTExtensions-monty.1' ]! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'baselines' stamp: 'monty 4/11/2017 03:44'!
baseline137: spec
	<version: '1.3.7-baseline' imports: #('1.0-baseline')>
	spec
		for: #gemstone
		do: [
			spec blessing: #baseline.
			spec
				package: 'Collections-OrderPreservingDictionary-GemstoneCompatibility'
				with: 'Collections-OrderPreservingDictionary-GemstoneCompatibility-monty.1' ].
	spec
		for: #gt
		do: [
			spec
				package: 'Collections-OrderPreservingDictionary-GTExtensions'
				with: 'Collections-OrderPreservingDictionary-GTExtensions-monty.2' ]! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'accessing' stamp: 'monty 1/21/2017 15:03'!
customProjectAttributes
    "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes "

	(Smalltalk includesKey: #GTInspector)
		ifTrue: [ ^ #(gt) ]
		ifFalse: [ ^ #() ]! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'symbolic versions' stamp: 'monty 4/11/2017 03:46'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.3.7-baseline'.
! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'accessing' stamp: 'monty 1/21/2017 15:01'!
project
    ^ project
        ifNil: [ 
            "Bootstrap Metacello if it is not already loaded"
            self class ensureMetacello.
            project := MetacelloMCProject new projectAttributes: self customProjectAttributes.	"Create the Metacello project"
            (Smalltalk at: #'MetacelloVersionConstructor') on: self project: project.	"Construct the project"
            project loadType: #'linear'.	"change to #atomic if desired"
            project ]! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'symbolic versions' stamp: 'monty 4/11/2017 03:45'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.3.7'.
! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 1/21/2017 15:03'!
version100: spec 
	<version: '1.0' imports: #('1.0-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec description: 'Latest versions from Squeaksource'.
		
		spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-JAA.7'.
		spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-JAAyer.7'
		]
	

! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 1/21/2017 15:03'!
version110: spec 
	<version: '1.1' imports: #('1.0-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		
		spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.9'.
		spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-JAAyer.7'
		]
	

! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 1/21/2017 15:03'!
version120: spec
	<version: '1.2' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #release.
		spec description: 'version 1.2'.
		spec author: 'GuillaumeLarcheveque'.
		spec timestamp: '6/27/2014 16:03'.
		spec 
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.9';
			package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-JAAyer.7'. ].
! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 1/21/2017 15:03'!
version121: spec
	<version: '1.2.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #release.
		spec 
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.10';
			package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-JAAyer.7'. ].
! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 1/21/2017 15:03'!
version122: spec
	<version: '1.2.2' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #release.
		spec 
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.12';
			package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.9'. ].
! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 1/21/2017 15:03'!
version123: spec
	<version: '1.2.3' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #release.
		spec 
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.13';
			package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.10'. ].
! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 1/21/2017 15:03'!
version124: spec
	<version: '1.2.4' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #release.
		spec 
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.15';
			package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.10'. ].
! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 1/21/2017 15:03'!
version125: spec
	<version: '1.2.5' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #release.
		spec 
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.16';
			package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.11'. ].
! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 1/21/2017 15:03'!
version126: spec 
        <version: '1.2.6' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.17'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.12'.
                ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 1/21/2017 15:03'!
version127: spec 
        <version: '1.2.7' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.18'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.12'.
                ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 1/21/2017 15:03'!
version128: spec 
        <version: '1.2.8' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.19'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.13'.
                ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 1/21/2017 15:03'!
version129: spec 
        <version: '1.2.9' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.20'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.14'.
                ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 1/21/2017 15:03'!
version130: spec 
	<version: '1.3.0' imports: #('1.0-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec package: 'Collections-OrderPreservingDictionary' with: 			'Collections-OrderPreservingDictionary-monty.21'.
		spec package: 'Collections-Tests-OrderPreservingDictionary' with: 			'Collections-Tests-OrderPreservingDictionary-monty.14']! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 1/21/2017 15:03'!
version131: spec 
	<version: '1.3.1' imports: #('1.3.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec
			package: 'Collections-OrderPreservingDictionary'
			with: 'Collections-OrderPreservingDictionary-monty.22'.
		spec
			package: 'Collections-Tests-OrderPreservingDictionary'
			with: 'Collections-Tests-OrderPreservingDictionary-monty.15'. ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 1/21/2017 15:03'!
version132: spec 
        <version: '1.3.2' imports: #('1.3.1-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.22'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.16'.
                ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 1/21/2017 15:03'!
version133: spec 
        <version: '1.3.3' imports: #('1.3.1-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.23'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.17'.
                ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 1/21/2017 15:03'!
version134: spec 
        <version: '1.3.4' imports: #('1.3.1-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.24'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.18'.
                ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 1/21/2017 15:03'!
version135: spec 
        <version: '1.3.5' imports: #('1.3.1-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.25'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.20'.
                ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 2/14/2017 01:18'!
version136: spec 
        <version: '1.3.6' imports: #('1.3.1-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.30'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.25'.
                ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 5/21/2017 18:57'!
version137: spec 
        <version: '1.3.7' imports: #('1.3.7-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.32'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.26'.
                ].! !
